Loading...
Searching...
No Matches
test.c File Reference
`#include "test.h"`
`#include "arc/std/errno.h"`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

void | ARC_Test_SetErrnoStream (void)
void | ARC_Test_UnsetErrnoStream (void)
int | main (void)

## Variables

uint32_t * | temp_arc_test_num_checks_run__ARC_TEST__ = NULL
uint32_t * | temp_arc_test_num_checks_passed__ARC_TEST__ = NULL

## Function Documentation

## ARC_Test_SetErrnoStream()

void ARC_Test_SetErrnoStream | ( | void |  | ) |

Definition at line 10 of file test.c.

{
arc_errno_log_file = fopen("tests/test_error_out.txt", "w");
}

## ARC_Test_UnsetErrnoStream()

void ARC_Test_UnsetErrnoStream | ( | void |  | ) |

Definition at line 14 of file test.c.

{
fclose(arc_errno_log_file);
}

## main()

int main | ( | void |  | ) |

Definition at line 19 of file test.c.

{
return 0;
}

## Variable Documentation

## temp_arc_test_num_checks_passed__ARC_TEST__

uint32_t* temp_arc_test_num_checks_passed__ARC_TEST__ = NULL

Definition at line 8 of file test.c.

## temp_arc_test_num_checks_run__ARC_TEST__

uint32_t* temp_arc_test_num_checks_run__ARC_TEST__ = NULL

Definition at line 7 of file test.c.